Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class Binarify

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.Binarify

    public class Binarify

extends FeatureConstruction

This operator creates new binary attributes that realise a boolean flag indicating for each value of the target attribute whether it occurs in that row/entity.

Version:
  $Id: Binarify.java,v 1.5 2006/09/27 14:59:57 euler Exp $
Author:
  Timm Euler

Field Summary
`static java.lang.String` | `PARAMETER_TARGETATTR`
`static java.lang.String` | `PARAMETER_VALUES`

Constructor Summary
`Binarify()`

Method Summary
`java.lang.String` | `generateSQL(Column targetAttributeColumn)` Abstract method to be implemented by all subclasses.
`BaseAttribute` | `getTheTargetAttribute(int loopNr)` All FeatureConstruction operators have a target attribute which is different from loop to loop.

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, execute, generateColumnForOp, getCurrentLoopNumber, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, load, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_VALUES

    public static final java.lang.String PARAMETER_VALUES

See Also:
  Constant Field Values

### PARAMETER_TARGETATTR

    public static final java.lang.String PARAMETER_TARGETATTR

See Also:
  Constant Field Values

Constructor Detail

### Binarify

    public Binarify()

Method Detail

### generateSQL

    public java.lang.String generateSQL(Column targetAttributeColumn)
                                 throws M4CompilerError,
                                        M4CompilerWarning

  Description copied from class: `FeatureConstruction`
  Abstract method to be implemented by all subclasses. In this method the SQL definition for the Column which this operator creates is created.

  Specified by:
    `generateSQL` in class `FeatureConstruction`
  Parameters:
    `targetAttributeColumn` - The Column to which this FeatureConstruction Operator is applied. Some subclasses may ignore this parameter.
  Returns:
    An SQL definition for the newly constructed Column.
  Throws:
    `M4CompilerError` - A simple exception object with an error message.
    `M4CompilerWarning`

### getTheTargetAttribute

    public BaseAttribute getTheTargetAttribute(int loopNr)
                                        throws M4CompilerError

  All FeatureConstruction operators have a target attribute which is different from loop to loop. Only this operator, Binarify, has got the same target attribute in all loops. So the super class method is overwritten.

  Overrides:
    `getTheTargetAttribute` in class `FeatureConstruction`
  Parameters:
    `loopNr` - the number of the loop for which the target attribute is wanted
  Returns:
    the target attribute for this operator
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005